import { IsNotEmpty, IsNumber, IsString } from 'class-validator';

export class CreateSongDto {
  @IsString()
  @IsNotEmpty()
  title: string;

  @IsNumber()
  duration: number;

  @IsNumber()
  trackNumber: number;

  @IsNumber()
  albumId: number;
}
